%define name    projectX
%define zipname xml
%define version tr2
%define release 2jpp
%define section non-free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        XML technology services written completely in the Java language
License:        Proprietary
Source0:        http://developer.java.sun.com/developer/products/xml/%{zipname}-%{version}.zip
NoSource:	0
Url:            http://java.sun.com/xml/
Group:          Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Java Project X is the code name for XML technology services written completely
in the Java language. This package provides core XML capabilities including a
fast XML parser with optional validation and an in-memory object model tree
that supports the W3C DOM Level 1 recommendation. With Java Project X,
developers can build robust, flexible XML-oriented applications and network
services.

NOTE: Java Project X is an experimental, unsupported technology. This package
is NOT a committed API for the Java platform.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{zipname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 xml.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE *.html
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*

%changelog
* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:tr2-2jpp
- update for JPackage 1.5
- this is really too old and should go
- this version tag is strange too

* Thu Mar 27 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> tr2-1jpp
- Initial packaging (sources and examples zapped, this is really too old to be
  used anymore)
